cdac.medinfo.sdk.hl7282.utils

## Enum EnumSubscriptionType

- java.lang.Object
- - java.lang.Enum<EnumSubscriptionType>
  - - cdac.medinfo.sdk.hl7282.utils.EnumSubscriptionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumSubscriptionType>

      public enum EnumSubscriptionType
      extends java.lang.Enum<EnumSubscriptionType>

  This Enum states about Subscription type for Publish-Subscribe in HL7.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL_SUBSCRIPTION` Enum constant for Cancellation Subscription Type
    `MODIFIED_SUBSCRIPTION` Enum constant for Modified Subscription Type
    `NEW_SUBSCRIPTION` Enum constant for New Subscription Type

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumSubscriptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumSubscriptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW_SUBSCRIPTION

          public static final EnumSubscriptionType NEW_SUBSCRIPTION

      Enum constant for New Subscription Type

    - #### MODIFIED_SUBSCRIPTION

          public static final EnumSubscriptionType MODIFIED_SUBSCRIPTION

      Enum constant for Modified Subscription Type

    - #### CANCEL_SUBSCRIPTION

          public static final EnumSubscriptionType CANCEL_SUBSCRIPTION

      Enum constant for Cancellation Subscription Type

  - ### Method Detail

    - #### values

          public static EnumSubscriptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSubscriptionType c : EnumSubscriptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSubscriptionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Enum Subscription Type on which it is called.